# NetworkedBehaviour.SendToClientTarget Method (UInt32, String, String, Byte[])
Sends a buffer to a client with a given clientId from Server. Only handlers on this NetworkedBehaviour gets invoked

MLAPI API Reference

# NetworkedBehaviour
SendToClientTarget Method (UInt32, String, String,
Byte
)

[This is preliminary documentation and is subject to change.]

Sends a buffer to a client with a given clientId from Server. Only handlers on this NetworkedBehaviour gets invoked

Namespace: MLAPI.MonoBehaviours.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    protected void SendToClientTarget(
    	uint clientId,
    	string messageType,
    	string channelName,
    	byte[] data
    )

Request Example
View Source

#### Parameters

clientId
  Type: System
  UInt32
  The clientId to send the message to
messageType
  Type: System
  String
  User defined messageType
channelName
  Type: System
  String
  User defined channelName
data
  Type:
  System
  Byte
  The binary data to send

See Also

#### Reference

NetworkedBehaviour Class
SendToClientTarget Overload
MLAPI.MonoBehaviours.Core Namespace